VistaIOWriteObjects(3)

NAME
VistaIOWriteObjects - write a series of objects to a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>

VistaIOBoolean VistaIOWriteObjects (file, repn, attributes, nobjects, objects)
    FILE *file;
    VistaIORepnKind repn;
    VistaIOAttrList attributes;
    int nobjects;
    VistaIOPointer objects[nobjects];

ARGUMENTS

file
    Specifies the open stream to which the objects should be written.

repn
    Specifies the kind of objects to be written.

attributes
    Specifies a list of attributes to be written to the stream.

nobjects
    Specifies the number of objects to be written.

objects
    Specifies the objects to be written.

DESCRIPTION
VistaIOWriteObjects writes a series of objects to an open stream as a Vista data file. The objects must be of the type specified by repn. Objects objects[0] through objects[nimages - 1] are written, followed by any attributes in the list attributes. The attributes argument may be NULL if only the objects are to be written.

RETURN VALUES
VistaIOWriteObjects returns TRUE if successful and FALSE otherwise. In the case of an error, data written to the stream may be incomplete.

SEE ALSO
VistaIOOpenOutputFile(3), VistaIOWriteEdges(3), VistaIOWriteFile(3), VistaIOWriteImages(3), stdio(3)

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>